{
  onAfterMoveSecondarySelf(source, target, move) {
  if (!move || move.category === 'Status') return;
  if (!move.secondaries) return;
  const canPoison = move.secondaries.some(sec => sec.status === 'psn' || sec.status === 'tox');
  if (!canPoison) return;
  if (move.totalDamage) {
      const healAmount = Math.floor(move.totalDamage / 2);
      this.heal(healAmount, source); 
      this.debug(`[Parasitic Waste] healed ${healAmount} HP to ${source.name}`);
    }
  },
  name: "Parasitic Waste",
  rating: 3,
  num: -1003,
}
